API Doc
Languages
Languages
  • English
  • 简体中文
Languages
Languages
  • English
  • 简体中文
  1. 2. Account
  • API Signature Process
  • API General Code
  • 1. Callback
    • Merchant Subscription Event Notification - Signature Process
  • 2. Account
    • 2.1 Check Account Balance
      GET
    • 2.2 Payment Statement
      POST
    • 2.3 Payout Statement
      POST
  • 3. Payout
    • Payout Product Flow Chart
    • Open API Channel List
    • 3.1 Create Payout
      POST
    • 3.3 Payout Callback Notification
      POST
    • 3.2 Check Payout Status
      GET
  • 4. Bills Payment
    • Bills Payment Product Flow Chart
    • Bills Payment ChannelCode List
    • 4.1 Create Static Virtual Account
      POST
    • 4.2 Batch Create Static Virtual Account
      POST
    • 4.3 Update Static Virtual Account
      POST
    • 4.4 Get Virtual Account Cashier Short Url
      POST
    • 4.5 Get Virtual Account's Payments
      GET
    • 4.6 Repayment verification API
      POST
    • 4.7 Cancel Static Virtual Account
      POST
    • 4.8 Virtual Account Callback Notification
      POST
  • 5. QrCode
    • QrCode Product Flow Chart
    • QrCode ChannelCode List
    • 5.1 Create QR Code
      POST
    • 5.2 Get QR Code Detail
      GET
    • 5.3 Get QR Code Payments
      GET
    • 5.4 Cancel QR Code
      POST
    • 5.6 Update QR Code
      POST
    • 5.5 QR Code Callback Notification
      POST
  • 6. Bank Transfer
    • Bank Transfer Product Flow Chart
    • Bank Transfer ChannelCode List
    • 6.1 Batch Create Bank Transfer Account
    • 6.2 Batch Update Bank Transfer Account
    • 6.3 Bank Transfer Account Payments
    • 6.4 Bank Transfer Callback Notification
  • 7. Web payment
    • Web Payment Product Flow Chart
    • Web Payment ChannelCode List
    • 7.1 Create Web Payment
    • 7.2 Check Web Payment Status
    • 7.3 Web Payment Channels
    • 7.4 Web Payment Callback Notification
  • 8. Refund
    • Refund Support Channel List
    • 8.1 Create Refund
    • 8.2 Get Refund Payments
    • 8.3 Refund Callback Notification
  • 9. Checkout
    • 9.1 Query the channels supported by the cashier counter
    • 9.2 Create the checkout counter
    • 9.3 Check the cashier counter
    • 9.4 Close the cashier counter
    • 9.5 Checkout Payment Notification
  • 10. Direct Debit
    • Direct Debit Channel Code List
    • Authorization
      • 10.1 Create Authorization Link
      • 10.2 Check Authorization Status
      • 10.3 Cancel Authorization
      • 10.4 Authorization Notification
    • Orders
      • 10.5 Create Payment
      • 10.6 Check Payment Status
      • 10.7 Payment Notification
  • 11. Ekyc
    • Ekyc Channel Code List
    • 11.1 Ekyc Init
    • 11.2 Ekyc Check Result
    • 11.3 Ekyc Notification
  • Schemas
    • Response body
  1. 2. Account

2.3 Payout Statement

POST
/api/v1/record/payoutList
Get list of payout transactions.

Request

Body Params application/json

Example
{
    "appId": "your appid",
    "createDate": "2022-01-01",
    "completeDate": "2022-01-01",
    "page": 1,
    "status": "PENDING",
    "timestamp": "1679335338000",
    "sign": "45eebd745dcf0b5f6d6f9fcde28cd9fe8116a892"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/record/payoutList' \
--header 'Content-Type: application/json' \
--data '{
    "appId": "your appid",
    "createDate": "2022-01-01",
    "completeDate": "2022-01-01",
    "page": 1,
    "status": "PENDING",
    "timestamp": "1679335338000",
    "sign": "45eebd745dcf0b5f6d6f9fcde28cd9fe8116a892"
}'

Responses

🟢200SUCCESS
application/json
Bodyapplication/json

Example
{
  "code": 1000,
  "message": "success",
  "data": {
    "records": [
      {
        "merchantOrderId": "xxxxxxxxxxxxxxxxxx",
        "transactionId": "xxxxxxxxxxxxxxxxxx",
        "amount": 100.0,
        "fee": 15.0,
        "remittingBank": "Union Bank Of The Philippines",
        "remittingAccount": "091****5678",
        "recipientName": "xxx***xxx",
        "recipientAccount": "915****6789",
        "appName": "paycools",
        "status": "PENDING",
        "receivingChannel": "GCASH",
        "createTime": "2023-03-20 17:54:28",
        "completeTime": null
      },
      {
        "merchantOrderId": "xxxxxxxxxxxxxxxxxx",
        "transactionId": "xxxxxxxxxxxxxxxxxx",
        "amount": 100.0,
        "fee": 15.0,
        "remittingBank": "Union Bank Of The Philippines",
        "remittingAccount": "915****5678",
        "recipientName": "xxx***xxx",
        "recipientAccount": "091****6789",
        "appName": "paycools",
        "status": "FAILED",
        "receivingChannel": "GCASH",
        "createTime": "2023-03-20 20:18:57",
        "completeTime": "2023-03-20 20:19:25"
      },
      {
        "merchantOrderId": "xxxxxxxxxxxxxxxxxx",
        "transactionId": "xxxxxxxxxxxxxxxxxx",
        "amount": 100.0,
        "fee": 15.0,
        "remittingBank": "Union Bank Of The Philippines",
        "remittingAccount": "915****5678",
        "recipientName": "xxx***xxx",
        "recipientAccount": "091****6789",
        "appName": "paycools",
        "status": "COMPLETE",
        "receivingChannel": "GCASH",
        "createTime": "2023-03-20 20:21:10",
        "completeTime": "2023-03-20 20:21:21"
      }
    ],
    "page": 1
  }
}
🟢200FAILED
Previous
2.2 Payment Statement
Next
Payout Product Flow Chart
Built with